
Infrastructure - Bug #6072

Mercury search result shows 08/25/1934 for datasets uploaded in 2014

2014-08-25 19:50 - Jing Tao

Status: Closed Start date: 2014-07-20

Priority: Normal Due date: 2014-08-02

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2014.30-Block.4.3   

Milestone: CCI-1.4 Story Points:  

Product Version: 1.4.0   

Description

Here is the search result link:

https://cn.dataone.org/onemercury/send/query?term1=Hampshire+Terrestrial+High+&term1attribute=fullText&term2.1=&term2.1attrib

ute=&op2.1=&term2.2attribute=&term2.2=&op2.2=&term2.3attribute=&term2.3=&op2.3=and&term3=%2C%2C%2C&term3attribute=

overlaps&op4=during&term4=&term4attribute=beginDate&term5=&term5attribute=endDate&term6attribute=datasource&term8=colle

ction&pageSize=10&queryString=+Entire+Document+%3A+Hampshire+Terrestrial+High+++and+true+coordinates+%28N%2CW%2

CS%2CE%29+%3D+%28%2C%2C%2C%29+and+++and++from+sources%3A+All+and+filter+for+data+on.&instance=pilotcatalog&f

ilterForDataHidden=true&term6=All

It says Frey. 08/25/1934

Actually it was uploaded in 08/23/2014:

https://cn.dataone.org/cn/v1/meta/knb.475.5

Related issues:

Related to Infrastructure - Story #5533: CCI 1.4.0 Release Closed

Related to ONE Mercury - Bug #7458: ONEMercury search results show erroneous ... Closed 2015-10-29

History

#1 - 2014-08-25 20:15 - Skye Roseboom

- Parent task set to #5533

- Status changed from New to In Progress

#2 - 2014-08-25 21:36 - Skye Roseboom

- Status changed from In Progress to Testing

#3 - 2014-08-25 21:36 - Skye Roseboom

Found error in solr date conversion format string - needed literal single quote mark around Zulu time indicator 'Z'.

#4 - 2014-08-25 21:53 - Skye Roseboom

- Parent task deleted (#5533)

#5 - 2014-08-25 21:54 - Skye Roseboom

Available for testing on https://cn-dev-unm-1.test.dataone.org which is pointed at production index.

#6 - 2014-08-26 21:17 - Skye Roseboom

- Start date deleted (2014-08-25)

- Tracker changed from Task to Bug

- translation missing: en.field_remaining_hours set to 0.0

#7 - 2014-09-04 02:38 - Robert Waltz
https://cn.dataone.org/onemercury/send/query?term1=Hampshire+Terrestrial+High+&term1attribute=fullText&term2.1=&term2.1attribute=&op2.1=&term2.2attribute=&term2.2=&op2.2=&term2.3attribute=&term2.3=&op2.3=and&term3=%2C%2C%2C&term3attribute=overlaps&op4=during&term4=&term4attribute=beginDate&term5=&term5attribute=endDate&term6attribute=datasource&term8=collection&pageSize=10&queryString=+Entire+Document+%3A+Hampshire+Terrestrial+High+++and+true+coordinates+%28N%2CW%2CS%2CE%29+%3D+%28%2C%2C%2C%29+and+++and++from+sources%3A+All+and+filter+for+data+on.&instance=pilotcatalog&filterForDataHidden=true&term6=All
https://cn.dataone.org/onemercury/send/query?term1=Hampshire+Terrestrial+High+&term1attribute=fullText&term2.1=&term2.1attribute=&op2.1=&term2.2attribute=&term2.2=&op2.2=&term2.3attribute=&term2.3=&op2.3=and&term3=%2C%2C%2C&term3attribute=overlaps&op4=during&term4=&term4attribute=beginDate&term5=&term5attribute=endDate&term6attribute=datasource&term8=collection&pageSize=10&queryString=+Entire+Document+%3A+Hampshire+Terrestrial+High+++and+true+coordinates+%28N%2CW%2CS%2CE%29+%3D+%28%2C%2C%2C%29+and+++and++from+sources%3A+All+and+filter+for+data+on.&instance=pilotcatalog&filterForDataHidden=true&term6=All
https://cn.dataone.org/onemercury/send/query?term1=Hampshire+Terrestrial+High+&term1attribute=fullText&term2.1=&term2.1attribute=&op2.1=&term2.2attribute=&term2.2=&op2.2=&term2.3attribute=&term2.3=&op2.3=and&term3=%2C%2C%2C&term3attribute=overlaps&op4=during&term4=&term4attribute=beginDate&term5=&term5attribute=endDate&term6attribute=datasource&term8=collection&pageSize=10&queryString=+Entire+Document+%3A+Hampshire+Terrestrial+High+++and+true+coordinates+%28N%2CW%2CS%2CE%29+%3D+%28%2C%2C%2C%29+and+++and++from+sources%3A+All+and+filter+for+data+on.&instance=pilotcatalog&filterForDataHidden=true&term6=All
https://cn.dataone.org/onemercury/send/query?term1=Hampshire+Terrestrial+High+&term1attribute=fullText&term2.1=&term2.1attribute=&op2.1=&term2.2attribute=&term2.2=&op2.2=&term2.3attribute=&term2.3=&op2.3=and&term3=%2C%2C%2C&term3attribute=overlaps&op4=during&term4=&term4attribute=beginDate&term5=&term5attribute=endDate&term6attribute=datasource&term8=collection&pageSize=10&queryString=+Entire+Document+%3A+Hampshire+Terrestrial+High+++and+true+coordinates+%28N%2CW%2CS%2CE%29+%3D+%28%2C%2C%2C%29+and+++and++from+sources%3A+All+and+filter+for+data+on.&instance=pilotcatalog&filterForDataHidden=true&term6=All
https://cn.dataone.org/onemercury/send/query?term1=Hampshire+Terrestrial+High+&term1attribute=fullText&term2.1=&term2.1attribute=&op2.1=&term2.2attribute=&term2.2=&op2.2=&term2.3attribute=&term2.3=&op2.3=and&term3=%2C%2C%2C&term3attribute=overlaps&op4=during&term4=&term4attribute=beginDate&term5=&term5attribute=endDate&term6attribute=datasource&term8=collection&pageSize=10&queryString=+Entire+Document+%3A+Hampshire+Terrestrial+High+++and+true+coordinates+%28N%2CW%2CS%2CE%29+%3D+%28%2C%2C%2C%29+and+++and++from+sources%3A+All+and+filter+for+data+on.&instance=pilotcatalog&filterForDataHidden=true&term6=All
https://cn.dataone.org/onemercury/send/query?term1=Hampshire+Terrestrial+High+&term1attribute=fullText&term2.1=&term2.1attribute=&op2.1=&term2.2attribute=&term2.2=&op2.2=&term2.3attribute=&term2.3=&op2.3=and&term3=%2C%2C%2C&term3attribute=overlaps&op4=during&term4=&term4attribute=beginDate&term5=&term5attribute=endDate&term6attribute=datasource&term8=collection&pageSize=10&queryString=+Entire+Document+%3A+Hampshire+Terrestrial+High+++and+true+coordinates+%28N%2CW%2CS%2CE%29+%3D+%28%2C%2C%2C%29+and+++and++from+sources%3A+All+and+filter+for+data+on.&instance=pilotcatalog&filterForDataHidden=true&term6=All
https://cn.dataone.org/cn/v1/meta/knb.475.5
https://cn-dev-unm-1.test.dataone.org


- Product Version changed from * to 1.4.0

- Start date set to 2014-07-20

- Due date set to 2014-08-02

- Target version set to 2014.30-Block.4.3

- Milestone changed from None to CCI-1.4

#8 - 2014-09-11 15:04 - Skye Roseboom

- Status changed from Testing to Closed

Dates rendering properly in one-mercury search result screen.

#9 - 2015-10-29 17:03 - Skye Roseboom

- Related to Bug #7458: ONEMercury search results show erroneous "citation date" for DCX science metadata added
